Index: src/cpu/amd/model_fxx/model_fxx_init.c
===================================================================
--- src/cpu/amd/model_fxx/model_fxx_init.c	(Revision 6297)
+++ src/cpu/amd/model_fxx/model_fxx_init.c	(Arbeitskopie)
@@ -452,10 +452,28 @@
 	wrmsr(HWCR_MSR, msr);
 
 #if CONFIG_K8_REV_F_SUPPORT == 1
-	/* Erratum 131... */
+	/* Erratum 89 */
 	msr = rdmsr(NB_CFG_MSR);
-	msr.lo |= 1 << 20;
-	wrmsr(NB_CFG_MSR, msr);
+	msr.lo |= 1 << 3; // Erratum 89
+	wrmsr(NB_CFG_MSR, msr);	
+	if( cpu_info()->cpu->device == 0x60f82 ) {
+		/* workaround for TURION S1G1 */
+		/* The workaround for this erratum supersedes the workaround for erratum #131. */
+		/* workaround for erratum #131 should not be applied */
+		printk(BIOS_INFO, "Applying workaround #169 for cpu 60f82.\n");
+		msr = rdmsr(0xc0010015);
+		msr.lo &= ~(1 << 3);
+		wrmsr(0xc0010015, msr);
+		msr = rdmsr(0xc0011023);
+		msr.lo &= ~(1 << 1);
+		msr.lo |= (1 << 23);
+		wrmsr(0xc0011023, msr);
+	} else {
+		/* Erratum 131... */
+		msr = rdmsr(NB_CFG_MSR);
+		msr.lo |= 1 << 20;
+		wrmsr(NB_CFG_MSR, msr);
+	}
 #endif
 
 }
